Supported web browser for Frontier Yahoo products

Most Frontier Yahoo products are browser-based and work best with the newest version (excluding "beta") of the browsers listed below. Frontier Yahoo features may not work properly if you're using an older operating system (which can't be updated) or an outdated or unsupported browser.

Internet Explorer - IE is no longer a supported browser for Frontier Yahoo products.

If you're still having trouble loading Frontier Yahoo pages using the latest version of your browser, try our steps to clear your cache or review our browser troubleshooting article.